{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "bf5fb96a",
   "metadata": {},
   "source": [
    "# Документация #"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "73f4d123",
   "metadata": {},
   "source": [
    "- [Туториал по функциям из документации](https://docs.python.org/3/tutorial/controlflow.html#defining-functions \"4. More Control Flow Tools\")\n",
    "- [Работа с файлами](https://docs.python.org/3/tutorial/inputoutput.html#reading-and-writing-files \"7. Input and Output\")\n",
    "- [Встроенные функции](https://docs.python.org/3/library/functions.html \"2. Built-in Functions\")\n",
    "- [Сортировка](https://docs.python.org/3/howto/sorting.html \"Sorting HOW TO\")\n",
    "- [Функциональное программирование](https://docs.python.org/3/howto/functional.html \"Functional Programming HOWTO\")\n",
    "- [Модуль functools](https://docs.python.org/3/library/functools.html \"10.2. functools — Higher-order functions and operations on callable objects\")\n",
    "- [Декораторы](https://www.codeschool.com/blog/2016/05/12/a-guide-to-python-decorators/ \"A Guide to Python Decorators\")"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.6.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
